using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace RobotNet.RobotManager.Services.OpenACS;

public class ACSHeader(string messageName, string time)
{
    [JsonPropertyName("msgname")]
    [Required]
    public string MessageName { get; set; } = messageName;

    [JsonPropertyName("time")]
    [Required]
    public string Time { get; set; } = time;

}
